GDB (xrefs)

Public Attributes | List of all members
symbol_cache_slot Struct Reference

## Public Attributes
enum symbol_cache_slot_state | state
const struct objfile * | objfile_context
union {
struct block_symbol found
struct {
char * name
domain_enum domain
} not_found
} | value

## Detailed Description

Definition at line 147 of file symtab.c.

## Member Data Documentation

## ◆ domain

domain_enum symbol_cache_slot::domain

Definition at line 175 of file symtab.c.

Referenced by lookup_global_symbol(), lookup_static_symbol(), symbol_cache_lookup(), symbol_cache_mark_not_found(), and symbol_matches_domain().

## ◆ found

struct block_symbol symbol_cache_slot::found

Definition at line 171 of file symtab.c.

Referenced by eq_symbol_entry(), symbol_cache_dump(), symbol_cache_lookup(), and symbol_cache_mark_found().

## ◆ name

char* symbol_cache_slot::name

Definition at line 174 of file symtab.c.

## ◆ not_found

struct { ... } symbol_cache_slot::not_found

Referenced by eq_symbol_entry(), symbol_cache_clear_slot(), symbol_cache_dump(), and symbol_cache_mark_not_found().

## ◆ objfile_context

const struct objfile* symbol_cache_slot::objfile_context

Definition at line 167 of file symtab.c.

Referenced by eq_symbol_entry(), symbol_cache_dump(), symbol_cache_lookup(), symbol_cache_mark_found(), and symbol_cache_mark_not_found().

## ◆ state

enum symbol_cache_slot_state symbol_cache_slot::state

Definition at line 149 of file symtab.c.

Referenced by eq_symbol_entry(), symbol_cache_clear_slot(), symbol_cache_dump(), symbol_cache_lookup(), symbol_cache_mark_found(), and symbol_cache_mark_not_found().

## ◆ value

union { ... } symbol_cache_slot::value

Referenced by eq_symbol_entry(), symbol_cache_clear_slot(), symbol_cache_dump(), symbol_cache_lookup(), symbol_cache_mark_found(), and symbol_cache_mark_not_found().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.c